### Function

# GObject TypeValueInitFunc

since: 2.78

#### Declaration

    void
    (* GTypeValueInitFunc) (
      GValue* value
    )

#### Description

Initializes the value contents by setting the fields of the `value->data` array.

The data array of the `GValue` passed into this function was zero-filled with `memset()`, so no care has to be taken to free any old contents. For example, in the case of a string value that may never be `NULL`, the implementation might look like:

    value->data[0].v_pointer = g_strdup ("");

Available since: 2.78

#### Parameters

`value`

  Type: `GValue`

  The value to initialize.

  The data is owned by the caller of the function.